/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:22:50 GMT 2022
 */

package ir.ramtung.impl2;

import org.junit.Test;
import static org.junit.Assert.*;
import ir.ramtung.impl2.Magazine;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Magazine_ESTest extends Magazine_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Magazine magazine0 = new Magazine((String) null, (-1982), 1390, (-1982));
      magazine0.year = (-1982);
      magazine0.year = (-1982);
      magazine0.year = 1390;
      int int0 = magazine0.calculatePenalty(655);
      assertEquals(3000, int0);
      assertEquals(2, magazine0.getDay());
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Magazine magazine0 = new Magazine((String) null, (-1982), 1390, (-1982));
      magazine0.returnBook();
      int int0 = magazine0.calculatePenalty((-1982));
      assertEquals(2, magazine0.getDay());
      assertEquals(2000, int0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Magazine magazine0 = new Magazine("", 2857, 2857, 2857);
      int int0 = magazine0.calculatePenalty(2857);
      assertEquals(3000, int0);
      assertEquals(2, magazine0.getDay());
  }
}
